<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:role="http://www.xbrl.org/2003/role/label">Administrative</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Administrative, Ratio of male employees taking childcare leave, Metrics of consolidated subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_AshitaniShigeruMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ashitani, Shigeru</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_AshitaniShigeruMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ashitani, Shigeru [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Comprehensive energy</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Comprehensive energy, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:role="http://www.xbrl.org/2003/role/label">Engineering</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Engineering, Ratio of male employees taking childcare leave, Metrics of consolidated subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_FujimotoKeikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Fujimoto, Keiko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_FujimotoKeikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Fujimoto, Keiko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_FuruseMakotoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Furuse, Makoto</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_FuruseMakotoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Furuse, Makoto [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GainOnDerivativesNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on derivatives</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GainOnDerivativesNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on derivatives-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on sale of nuclear fuel</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on sale of nuclear fuel-EI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on sale of nuclear fuel</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on sale of nuclear fuel-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance (Responding to climate change (Initiatives for the TCFD Recommendations))</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance (Responding to climate change (Initiatives for the TCFD Recommendations)) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_HunakiToruMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hunaki, Toru</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_HunakiToruMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hunaki, Toru [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation_label" xlink:role="http://www.xbrl.org/2003/role/label">Impairment loss</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Impairment loss, Segment Information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in contribution payable for nuclear reactor decommissioning</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in contribution payable for nuclear reactor decommissioning-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_KitanoTatsuoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kitano, Tatsuo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_KitanoTatsuoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kitano, Tatsuo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_KugaEiichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kuga, Eiichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_KugaEiichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kuga, Eiichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_LossOnDerivativesNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on derivatives</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_LossOnDerivativesNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on derivatives-NOE</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_MaedaKoichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Maeda, Koichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_MaedaKoichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Maeda, Koichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets (Responding to climate change (Initiatives for the TCFD Recommendations))</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets (Responding to climate change (Initiatives for the TCFD Recommendations)) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_MinamotoKyosukeMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Minamoto, Kyosuke</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_MinamotoKyosukeMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Minamoto, Kyosuke [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NakagawaKengoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakagawa, Kengo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NakagawaKengoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakagawa, Kengo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakamura, Kimitoshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakamura, Kimitoshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding accrued taxes</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding accrued taxes [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding amount of incidental business facilities in statement of income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding amount of incidental business facilities in statement of income [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding breakdown of operating expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding breakdown of operating expenses[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding current portion of non-current liabilities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding current portion of non-current liabilities [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">NotesRegardingExtraordinaryLosses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">NotesRegardingExtraordinaryLosses [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_OkajimaRenaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Okajima, Rena</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_OkajimaRenaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Okajima, Rena [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_OtaniNorikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Otani, Noriko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_OtaniNorikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Otani, Noriko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Payments related to antitrust law</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Payments related to antitrust law-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Power Transmission and distribution</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Power Transmission and distribution, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for loss on act against unjustifiable premiums and misleading representations</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for loss on act against unjustifiable premiums and misleading representations-CL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Policy on development of human resources and internal environment, Strategy</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Risk management (Responding to climate change (Initiatives for the TCFD Recommendations))</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:role="http://www.xbrl.org/2003/role/label">Rehired employees</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Rehired employees, Ratio of male employees taking childcare leave, Metrics of consolidated subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue_label" xlink:role="http://www.xbrl.org/2003/role/label">Revenue equivalent to contribution for facilitating nuclear reactor decommissioning</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Revenue equivalent to contribution for facilitating nuclear reactor decommissioning, Electric utility operating revenue</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue_label" xlink:role="http://www.xbrl.org/2003/role/label">Revenue equivalent to contribution for nuclear damage compensation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Revenue equivalent to contribution for nuclear damage compensation, Electric utility operating revenue</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management (Responding to climate change (Initiatives for the TCFD Recommendations))</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management (Responding to climate change (Initiatives for the TCFD Recommendations)) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Shobuda, Kiyotaka</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Shobuda, Kiyotaka [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_SotobayashiHirokoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sotobayashi, Hiroko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_SotobayashiHirokoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sotobayashi, Hiroko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy (Responding to climate change (Initiatives for the TCFD Recommendations))</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy (Responding to climate change (Initiatives for the TCFD Recommendations)) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TakabaToshioMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Takaba, Toshio</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TakabaToshioMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Takaba, Toshio [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TanakaHirokiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tanaka, Hiroki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TanakaHirokiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tanaka, Hiroki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Telecommunication</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Telecommunication, Reportable segments [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:role="http://www.xbrl.org/2003/role/label">Temporary employees</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Temporary employees, Ratio of male employees taking childcare leave, Metrics of consolidated subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_RenewablePowerProductionAndRelatedExpensesOEElectricELE_label" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Renewable power production and related expenses-OE-electric-ELE</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE_label" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Renewable power production and related facilities-NCA-electric-ELE</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_RenewablePowerProductionAndRelatedExpensesOEElectricELE" xlink:label="jppfs_cor_RenewablePowerProductionAndRelatedExpensesOEElectricELE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE" xlink:label="jppfs_cor_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/label/jppfs_2024-11-01_lab-en.xml#label_RenewablePowerProductionAndRelatedExpensesOEElectricELE_2" xlink:label="label_RenewablePowerProductionAndRelatedExpensesOEElectricELE_2" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/label/jppfs_2024-11-01_lab-en.xml#label_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE_2" xlink:label="label_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE_2" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:label="jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_AshitaniShigeruMember" xlink:label="jpcrp030000-asr_E04504-000_AshitaniShigeruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember" xlink:label="jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:label="jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_FujimotoKeikoMember" xlink:label="jpcrp030000-asr_E04504-000_FujimotoKeikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_FuruseMakotoMember" xlink:label="jpcrp030000-asr_E04504-000_FuruseMakotoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_GainOnDerivativesNOI" xlink:label="jpcrp030000-asr_E04504-000_GainOnDerivativesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI" xlink:label="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF" xlink:label="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_HunakiToruMember" xlink:label="jpcrp030000-asr_E04504-000_HunakiToruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation" xlink:label="jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF" xlink:label="jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_KitanoTatsuoMember" xlink:label="jpcrp030000-asr_E04504-000_KitanoTatsuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_KugaEiichiMember" xlink:label="jpcrp030000-asr_E04504-000_KugaEiichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_LossOnDerivativesNOE" xlink:label="jpcrp030000-asr_E04504-000_LossOnDerivativesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_MaedaKoichiMember" xlink:label="jpcrp030000-asr_E04504-000_MaedaKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_MinamotoKyosukeMember" xlink:label="jpcrp030000-asr_E04504-000_MinamotoKyosukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_NakagawaKengoMember" xlink:label="jpcrp030000-asr_E04504-000_NakagawaKengoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember" xlink:label="jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock" xlink:label="jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_OkajimaRenaMember" xlink:label="jpcrp030000-asr_E04504-000_OkajimaRenaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_OtaniNorikoMember" xlink:label="jpcrp030000-asr_E04504-000_OtaniNorikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF" xlink:label="jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember" xlink:label="jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL" xlink:label="jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy" xlink:label="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations" xlink:label="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:label="jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue" xlink:label="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue" xlink:label="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember" xlink:label="jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_SotobayashiHirokoMember" xlink:label="jpcrp030000-asr_E04504-000_SotobayashiHirokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_TakabaToshioMember" xlink:label="jpcrp030000-asr_E04504-000_TakabaToshioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_TanakaHirokiMember" xlink:label="jpcrp030000-asr_E04504-000_TanakaHirokiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember" xlink:label="jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04504-000_2025-03-31_01_2025-06-24.xsd#jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:label="jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_AdministrativeRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_AshitaniShigeruMember" xlink:to="jpcrp030000-asr_E04504-000_AshitaniShigeruMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_AshitaniShigeruMember" xlink:to="jpcrp030000-asr_E04504-000_AshitaniShigeruMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember" xlink:to="jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember" xlink:to="jpcrp030000-asr_E04504-000_ComprehensiveEnergyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_EngineeringRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_FujimotoKeikoMember" xlink:to="jpcrp030000-asr_E04504-000_FujimotoKeikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_FujimotoKeikoMember" xlink:to="jpcrp030000-asr_E04504-000_FujimotoKeikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_FuruseMakotoMember" xlink:to="jpcrp030000-asr_E04504-000_FuruseMakotoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_FuruseMakotoMember" xlink:to="jpcrp030000-asr_E04504-000_FuruseMakotoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GainOnDerivativesNOI" xlink:to="jpcrp030000-asr_E04504-000_GainOnDerivativesNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GainOnDerivativesNOI" xlink:to="jpcrp030000-asr_E04504-000_GainOnDerivativesNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI" xlink:to="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI" xlink:to="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF" xlink:to="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF" xlink:to="jpcrp030000-asr_E04504-000_GainOnSaleOfNuclearFuelOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_GovernanceRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_HunakiToruMember" xlink:to="jpcrp030000-asr_E04504-000_HunakiToruMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_HunakiToruMember" xlink:to="jpcrp030000-asr_E04504-000_HunakiToruMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation" xlink:to="jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation" xlink:to="jpcrp030000-asr_E04504-000_ImpairmentLossSegmentInformation_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF" xlink:to="jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF" xlink:to="jpcrp030000-asr_E04504-000_IncreaseDecreaseInContributionPayableForNuclearReactorDecommissioningOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_KitanoTatsuoMember" xlink:to="jpcrp030000-asr_E04504-000_KitanoTatsuoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_KitanoTatsuoMember" xlink:to="jpcrp030000-asr_E04504-000_KitanoTatsuoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_KugaEiichiMember" xlink:to="jpcrp030000-asr_E04504-000_KugaEiichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_KugaEiichiMember" xlink:to="jpcrp030000-asr_E04504-000_KugaEiichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_LossOnDerivativesNOE" xlink:to="jpcrp030000-asr_E04504-000_LossOnDerivativesNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_LossOnDerivativesNOE" xlink:to="jpcrp030000-asr_E04504-000_LossOnDerivativesNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_MaedaKoichiMember" xlink:to="jpcrp030000-asr_E04504-000_MaedaKoichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_MaedaKoichiMember" xlink:to="jpcrp030000-asr_E04504-000_MaedaKoichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_MetricsAndTargetsRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_MinamotoKyosukeMember" xlink:to="jpcrp030000-asr_E04504-000_MinamotoKyosukeMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_MinamotoKyosukeMember" xlink:to="jpcrp030000-asr_E04504-000_MinamotoKyosukeMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NakagawaKengoMember" xlink:to="jpcrp030000-asr_E04504-000_NakagawaKengoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NakagawaKengoMember" xlink:to="jpcrp030000-asr_E04504-000_NakagawaKengoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember" xlink:to="jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember" xlink:to="jpcrp030000-asr_E04504-000_NakamuraKimitoshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingAccruedTaxesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingAmountOfIncidentalBusinessFacilitiesInStatementOfIncomeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingBreakdownOfOperatingExpensesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingCurrentPortionOfNonCurrentLiabilitiesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock" xlink:to="jpcrp030000-asr_E04504-000_NotesRegardingExtraordinaryLossesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_OkajimaRenaMember" xlink:to="jpcrp030000-asr_E04504-000_OkajimaRenaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_OkajimaRenaMember" xlink:to="jpcrp030000-asr_E04504-000_OkajimaRenaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_OtaniNorikoMember" xlink:to="jpcrp030000-asr_E04504-000_OtaniNorikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_OtaniNorikoMember" xlink:to="jpcrp030000-asr_E04504-000_OtaniNorikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF" xlink:to="jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF" xlink:to="jpcrp030000-asr_E04504-000_PaymentsRelatedToAntitrustLawOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember" xlink:to="jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember" xlink:to="jpcrp030000-asr_E04504-000_PowerTransmissionAndDistributionReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL" xlink:to="jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL" xlink:to="jpcrp030000-asr_E04504-000_ProvisionForLossOnActAgainstUnjustifiablePremiumsAndMisleadingRepresentationsCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy" xlink:to="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy" xlink:to="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationPolicyOnDevelopmentOfHumanResourcesAndInternalEnvironmentStrategy_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations" xlink:to="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations" xlink:to="jpcrp030000-asr_E04504-000_ReferenceToOtherInformationRiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendations_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_RehiredEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue" xlink:to="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue" xlink:to="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForFacilitatingNuclearReactorDecommissioningElectricUtilityOperatingRevenue_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue" xlink:to="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue" xlink:to="jpcrp030000-asr_E04504-000_RevenueEquivalentToContributionForNuclearDamageCompensationElectricUtilityOperatingRevenue_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_RiskManagementRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember" xlink:to="jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember" xlink:to="jpcrp030000-asr_E04504-000_ShobudaKiyotakaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_SotobayashiHirokoMember" xlink:to="jpcrp030000-asr_E04504-000_SotobayashiHirokoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_SotobayashiHirokoMember" xlink:to="jpcrp030000-asr_E04504-000_SotobayashiHirokoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E04504-000_StrategyRespondingToClimateChangeInitiativesForTheTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TakabaToshioMember" xlink:to="jpcrp030000-asr_E04504-000_TakabaToshioMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TakabaToshioMember" xlink:to="jpcrp030000-asr_E04504-000_TakabaToshioMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TanakaHirokiMember" xlink:to="jpcrp030000-asr_E04504-000_TanakaHirokiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TanakaHirokiMember" xlink:to="jpcrp030000-asr_E04504-000_TanakaHirokiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember" xlink:to="jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember" xlink:to="jpcrp030000-asr_E04504-000_TelecommunicationReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries" xlink:to="jpcrp030000-asr_E04504-000_TemporaryEmployeesRatioOfMaleEmployeesTakingChildcareLeaveMetricsOfConsolidatedSubsidiaries_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RenewablePowerProductionAndRelatedExpensesOEElectricELE" xlink:to="label_RenewablePowerProductionAndRelatedExpensesOEElectricELE_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" use="prohibited" priority="1" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RenewablePowerProductionAndRelatedExpensesOEElectricELE" xlink:to="jppfs_cor_RenewablePowerProductionAndRelatedExpensesOEElectricELE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE" xlink:to="jppfs_cor_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE" xlink:to="label_RenewablePowerProductionAndRelatedFacilitiesNCAElectricELE_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" use="prohibited" priority="1" order="1" />
  </link:labelLink>
</link:linkbase>